{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"paths":{"/property_report/list":{"get":{"operationId":"propertyReport_List","summary":"List","description":"List property report subscriptions that belong to the current user, or all reports for the organization.","tags":["propertyReport"],"parameters":[{"name":"admin","in":"query","description":"Set this to true to get all reports that belong to the organization, and not just the ones for the current user","required":false,"schema":{"type":"boolean"}},{"name":"summary","in":"query","description":"Return only dashboard list fields when true; full reports remain the default","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ControllerResponse_PropertyReportSubscriptionAttributes-Array-or-DashboardReportSummary-Array_"}}}}},"security":[{"api":[]}]}},"/property_report/search":{"get":{"operationId":"propertyReport_Search","summary":"Search","description":"Search property reports in the organization, limited results for autocomplete.","tags":["propertyReport"],"parameters":[{"name":"q","in":"query","description":"The search query string","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of results to return","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ControllerResponse_Pick_PropertyReportSubscriptionAttributes.id-or-user_id-or-name-or-subject-or-tags_-Array_"}}}}},"security":[{"api":[]}]}},"/property_report/search_tags":{"get":{"operationId":"propertyReport_SearchTags","summary":"Search Tags","description":"Search report tags in the organization with counts (for autocomplete badges).","tags":["propertyReport"],"parameters":[{"name":"q","in":"query","description":"The search query string","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The maximum number of results to return","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ControllerResponse__label-string--count-number_-Array_"}}}}},"security":[{"api":[]}]}},"/property_report/reports_by_tag":{"get":{"operationId":"propertyReport_ReportsByTag","summary":"Reports By Tag","description":"Get all report IDs in the organization that have the provided tag.","tags":["propertyReport"],"parameters":[{"name":"tag","in":"query","description":"The tag name to filter reports by","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ControllerResponse_number-Array_"}}}}},"security":[{"api":[]}]}},"/property_report/{reportID}/metadata":{"patch":{"operationId":"propertyReport_UpdateMetadata","summary":"Update Metadata","description":"Update the metadata of a property report.","tags":["propertyReport"],"parameters":[{"name":"reportID","in":"path","description":"The ID of the property report to update","required":true,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ControllerResponse_boolean_"}}}},"403":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMetadataRequestForbiddenError"}}}}},"requestBody":{"description":"The metadata to update. Must be a flat object with string, number or boolean values.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Record_string.string-or-number-or-boolean_"}}}},"security":[{"api":[]}]}},"/property/search":{"get":{"operationId":"property_Search","summary":"Search","description":"Search for a property by name, address, or other identifying text.\n\nThis endpoint matches properties based on a query string. A well-formatted input—such as a full address—is more likely to return accurate results.\nWe also include known aliases and alternate addresses when available.\n\n**Important**: This search endpoint only returns properties from HelloData's indexed database. Private properties created via POST /property (custom-created properties) are not indexed and will not appear in search results. The intended workflow is to use this search endpoint to find HelloData property IDs initially, then store those IDs for future direct access. If you create a property via POST /property, store the returned ID and use it directly—do not expect to find it via search.\n\n**Recommendation**: Use filters whenever possible to improve performance and result quality.\n\nFiltering options:\n- Use `lat` and `lon` together to sort results by proximity.\n- Use `max_distance` (in miles) with `lat` and `lon` to limit results to a given radius.\n- Use `state` (e.g. 'CA') or `zip_code` (5-digit or ZIP+4 formats) to restrict results by region.","tags":["property"],"parameters":[{"name":"q","in":"query","description":"The search query string. Can include a property name, address, id, or partial text.","required":true,"schema":{"type":"string"}},{"name":"lat","in":"query","description":"Latitude for proximity-based sorting. Must be used with `lon`.","required":false,"schema":{"type":"number","format":"double"}},{"name":"lon","in":"query","description":"Longitude for proximity-based sorting. Must be used with `lat`.","required":false,"schema":{"type":"number","format":"double"}},{"name":"state","in":"query","description":"Optional. State abbreviation to filter results (e.g. 'NY').","required":false,"schema":{"type":"string"}},{"name":"zip_code","in":"query","description":"Optional. Zip code to filter results. Accepts 5-digit or ZIP+4 formats; missing leading zeros are automatically handled.","required":false,"schema":{"type":"string"}},{"name":"max_distance","in":"query","description":"Optional. Maximum distance in miles for nearby results. Requires both `lat` and `lon`.","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"A simplified list of matched properties.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertySearchResponse"}}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchRequestBadRequestError"}}}}},"security":[{"api":[]}]}},"/property/{id}":{"get":{"operationId":"property_GetProperty","summary":"Get Property","description":"Retrieve all the details of a property given its id.\n\n- **ID changes**: it is rare, but can happen, to see the id of a property change. We consider it unlikely for bigger properties since they tend to have a more established \"identity\" among our data pipelines. For example, if multiples properties are merged into one, or major data changes make us change the id. In this case, you might receive a 404 error. The property search endpoint is free, so always feel free to query it in case that happens.\n- **Payload usage**: this payload can be used to get the property details, the unit pricing, the expense benchmarks, and the rent comps. And you are free to cache it if you need to.\n- **Date filtering**: You can optionally filter units, history, availability periods, and concessions by providing `from` and/or `to` date parameters. Only data that overlaps with the specified date range will be included. You can provide either date, both, or neither. This is particularly useful when you only need current or recent data, as it can significantly speed up API calls and reduce response payload size compared to retrieving the full historical dataset.\n\nWe make a few properties free to access to help with testing. These three properties are listed below but if you would like to use a different property to test with, we are happy to allow that for you.\n\n| ID                                   | Building Name        | Address                                       |\n|--------------------------------------|----------------------|-----------------------------------------------|\n| e8769b06-1334-5ab6-b9c6-6dfccbf9ea78 | Reserve at Glenview  | 195 Waukegan Road, Glenview, IL 60025         |\n| 20e4945a-ce78-5f2c-9053-6bdaca39044b | 7229-33 S Yates Blvd | 7229 South Yates Boulevard, Chicago, IL 60649 |\n| 0e628031-57b8-5394-821d-13779318fef4 | OneEleven            | 111 West Wacker Drive, Chicago, IL 60601      |","tags":["property"],"parameters":[{"name":"id","in":"path","description":"The property id (UUIDv5 retrieved from the search endpoint).","required":true,"schema":{"$ref":"#/components/schemas/UUID"}},{"name":"from","in":"query","description":"Optional. Filter results to include only data that overlaps with dates on or after this date (ISO 8601 format, e.g., \"2024-01-01\").","required":false,"schema":{"type":"string"}},{"name":"to","in":"query","description":"Optional. Filter results to include only data that overlaps with dates on or before this date (ISO 8601 format, e.g., \"2024-12-31\").","required":false,"schema":{"type":"string"}},{"name":"use_tmlp","in":"query","description":"Optional. Adjusts the 'min_price', 'price', 'max_price', 'min_effective_price', 'effective_price', 'max_effective_price', 'price_plans' to be Total Monthly Leasing Price (TMLP) by adding in fees.","required":false,"schema":{"type":"boolean"}},{"name":"occupancy_over_time","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"The property details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyDetailsResponse"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetPropertyRequestNotFoundError"}}}}},"security":[{"api":[]}]}},"/property/aliases":{"post":{"operationId":"property_GetPropertyAliases","summary":"Get Property Aliases","description":"Resolve a list of property ids to their current primary id.\n\nResults are returned in the same order as `ids`. `alias_building_id` is always\nthe id you passed. `primary_building_id` is the current id, which matches\n`alias_building_id` when the requested id is already current.","tags":["property"],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyAliasResponse"}}}}}},"requestBody":{"description":"The property ids to resolve. Invalid ids are omitted.","content":{"application/json":{"schema":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string"}}},"required":["ids"]}}}},"security":[{"api":[]}]}},"/property/comparables":{"post":{"operationId":"property_Comparables","summary":"Comparables","description":"Find the best rent comps for a property given its details among close by properties.\nScore different facets of all candidates and return the best ones. In order to get the best results,\nwe leverage market demographics, detected quality, amenities, similarity of unit mixes, and more.\n\n- **Data completion**: feel free to complete the record with extra data only you have access to or if you want to override the data we have. For example, what would be the rent of the property if it was in a better condition? You can increase the quality of the property and see how the comps change.\n- **Extra Filters**: you can set extra filters. For example, you can set a maximum distance between the subject and the rent comps, a minimum number of units, a maximum number of units, a minimum year built, and a maximum year built.\n- **Exclusions**: you can exclude properties from the results. For example, you can exclude properties that are not good comps or properties that have already been selected. We will make sure we don't return them in the results.\n- **Already Selected**: you can also pass the ids of the properties that you want to force into the results.\n\n### How to craft the payload:\n\nThe endpoint accepts two types of payloads:\n\n**Option 1: Detailed Property (Recommended)**\n\nUse the result from `/property/{id}` endpoint as the `subject` field:\n\n```typescript\n{\n  subject: PropertyDetailsResponse, // from /property/{id}\n  excluded_ids?: string[],         // optional: exclude properties\n  selected_ids?: string[]          // optional: force include properties\n}\n```\n\n**Option 2: Simple Property**\n\nUse a simplified property object with basic information:\n\n```typescript\n{\n  simple_subject: {\n    lat: number,                    // required: latitude\n    lon: number,                    // required: longitude\n    is_single_family: boolean,      // required: property type\n    is_apartment: boolean,          // required: property type\n    is_condo: boolean,              // required: property type\n    number_units?: number,          // optional: total units\n    year_built?: number,            // optional: construction year\n    number_stories?: number,        // optional: building height\n    avg_quality_prediction?: number, // optional: quality score (0-1)\n    building_amenities?: string[],   // optional: building features\n    unit_amenities?: string[],       // optional: unit features\n    unit_mix?: Array<{              // optional: unit distribution\n      bed: number, bath: number, count: number, avg_sqft: number\n    }>\n  },\n  excluded_ids?: string[],          // optional: exclude properties\n  selected_ids?: string[]           // optional: force include properties\n}\n```\n\n**Recommendation**: Use Option 1 (detailed property) for best results. It provides comprehensive property information including market statistics, quality scores, unit details, and automatically detected values for missing fields.\n\n**When to use simple property**: Use Option 2 when you only have basic property information from your own systems and want to find similar properties based on fundamental characteristics like location, unit count, and amenities.\n\n### Computing Similarities:\n\nIf you are interested in simply getting similarities between properties, you can use the `comparables` endpoint.\nPass the ids of the comps you want similarities for into the `selected_ids` field.\nAnd set `topN` to the same number of properties you are passing.\nWe will return the similarities between the subject and the selected properties.","tags":["property"],"parameters":[{"name":"topN","in":"query","description":"The number of rent comps to return.","required":false,"schema":{"type":"number","format":"double"}},{"name":"tier","in":"query","description":"The tier of the property. Either 'valueAdd' or 'current'. When 'valueAdd', the results will assume a better condition of the property.","required":false,"schema":{"$ref":"#/components/schemas/PropertyComparablesPostParametersTier"}},{"name":"renovations","in":"query","description":"The renovations to apply to the property. A value between 0.0 and 1.0 to add to the property quality. (e.g. 0.1 will transform a 0.4 quality property into a 0.5 quality property).","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxDistance","in":"query","description":"The maximum distance in miles between the subject and the rent comps.","required":false,"schema":{"type":"number","format":"double"}},{"name":"minDistance","in":"query","description":"The minimum distance in miles between the subject and the rent comps.","required":false,"schema":{"type":"number","format":"double"}},{"name":"minNumberUnits","in":"query","description":"The minimum number of units of the rent comps. Does not filter properties with no units.","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxNumberUnits","in":"query","description":"The maximum number of units of the rent comps. Does not filter properties with no units.","required":false,"schema":{"type":"number","format":"double"}},{"name":"allowNullNumberUnits","in":"query","description":"When a number of units range is specified, whether to allow properties with no units to be included in the results. False by default.","required":false,"schema":{"type":"boolean"}},{"name":"minYearBuilt","in":"query","description":"The minimum year built of the rent comps. Does not filter properties with no year built.","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxYearBuilt","in":"query","description":"The maximum year built of the rent comps. Does not filter properties with no year built.","required":false,"schema":{"type":"number","format":"double"}},{"name":"allowNullYearBuilt","in":"query","description":"When a year built range is specified, whether to allow properties with no year built to be included in the results. False by default.","required":false,"schema":{"type":"boolean"}},{"name":"minNumberStories","in":"query","description":"The minimum number of stories of the rent comps. Does not filter properties with no stories.","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxNumberStories","in":"query","description":"The maximum number of stories of the rent comps. Does not filter properties with no stories.","required":false,"schema":{"type":"number","format":"double"}},{"name":"allowNullNumberStories","in":"query","description":"When a number of stories range is specified, whether to allow properties with no stories to be included in the results. False by default.","required":false,"schema":{"type":"boolean"}},{"name":"useEmbedding","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAffordable","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isBuildToRent","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isSenior","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isStudent","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isCondo","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isSingleFamily","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isApartment","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isLeaseUp","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"maxMilesToUniversity","in":"query","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxMilesToHospital","in":"query","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"The list of rent comps with high-level details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompsResponse"}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComparablesRequestBadRequestError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompsPayload"}}}},"security":[{"api":[]}]}},"/property":{"post":{"operationId":"property_PostProperty","summary":"Post Property","description":"Insert a new property in the database. For example a new development.","tags":["property"],"responses":{"200":{"description":"The property details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Property_PostProperty_Response_200"}}}},"403":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostPropertyRequestForbiddenError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"property":{"$ref":"#/components/schemas/PropertyReportPropertyInsert"}},"required":["property"]}}}},"security":[{"api":[]}]}},"/property/market_rents":{"post":{"operationId":"property_MarketRents","summary":"Market Rents","description":"Get market rents for active units among a subject property given its details. We use all property and unit details (characteristics, amenities, location, etc.)\nto find similar units in the market that have been rented recently. We then use the rent prices of these units to estimate the unit pricing.\n\nThis is an alias for the pricing endpoint with a more descriptive name.","tags":["property"],"responses":{"200":{"description":"The unit pricing.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PricingResponse"}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingPayload"}}}},"security":[{"api":[]}]}},"/property/expense_benchmarks":{"post":{"operationId":"property_ExpenseBenchmarks","summary":"Expense Benchmarks","description":"Get the expense benchmarks for a property given its details.\nOur models use all property details (characteristics, #stories, amenities, location, etc.) to compute the estimates.\nWe recommend to use the Property Details endpoint to get the property details and pass it to this endpoint.\n\n**Important**: This endpoint returns ML-based predictions only, not actual tax records or verified expense data.\nThe UI Financial Analysis tab may display actual tax values when available (from licensed data providers), but these actual values cannot be exposed via API due to data licensing restrictions.\nAll values returned by this endpoint are predictions/estimates based on machine learning models.","tags":["property"],"parameters":[{"name":"customGPR","in":"query","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"The expense benchmarks (predicted values only).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpenseBenchmarksResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyDetailsResponse"}}}},"security":[{"api":[]}]}},"/market/search":{"post":{"operationId":"market_MarketSearch","summary":"Market Search","description":"Performs a property search using geometric shapes and advanced filtering criteria.\nThis endpoint enables flexible market analysis by finding properties within custom-defined boundaries\nor within a radius of a point, and applying multi-dimensional filters to refine results based on\nproperty characteristics.\n\nNOTE: This new endpoint needs to be activated for your account and is charged at a higher rate. Please contact us to activate.\n\n### Core Functionality\n\nThe search combines geographic boundaries (defined by coordinate polygons) with property-specific filters\nsuch as construction year, building size, unit mix characteristics, and property type classifications.\nThis allows for precise market analysis within irregular geographic areas like neighborhoods, custom\nmarket areas, or specific zones of interest.\n\n### Search Area\n\nSend exactly one of `radius` or `coordinates`.\n\n**Radius**: `{lat, lon, miles}` returns every property within `miles` of the point, up to 25 miles.\nResults are sorted by distance and each one includes `distance_miles`, so if more than 2,500\nproperties match you get the 2,500 closest.\n\n```javascript\n// Everything within 1 mile of a property in downtown Chicago\n{ \"radius\": { \"lat\": 41.8868, \"lon\": -87.6374, \"miles\": 1 } }\n```\n\n**Polygons**: `coordinates` takes custom boundaries, such as a neighborhood or a market from `/market/shape_search`.\n\n**Coordinate Format**: Geographic boundaries are defined using GeoJSON-style coordinate arrays.\nThe format follows the pattern: `number[][][][]` where:\n- **Outer array**: Contains multiple polygons (for complex shapes with holes or multiple areas)\n- **Second level**: Contains individual polygons\n- **Third level**: Contains coordinate rings (first ring is exterior, subsequent rings are holes)\n- **Inner arrays**: Individual coordinate pairs as `[longitude, latitude]`\n\n**Example coordinate structures**:\n```javascript\n// Simple rectangular area in Manhattan\n[[[[-73.99, 40.75], [-73.98, 40.75], [-73.98, 40.76], [-73.99, 40.76], [-73.99, 40.75]]]]\n\n// Complex shape with a hole (e.g., excluding a park)\n[[[\n  [[-73.99, 40.75], [-73.97, 40.75], [-73.97, 40.77], [-73.99, 40.77], [-73.99, 40.75]], // Outer boundary\n  [[-73.985, 40.755], [-73.975, 40.755], [-73.975, 40.765], [-73.985, 40.765], [-73.985, 40.755]] // Hole\n]]]\n```\n\n### Filtering System\n\n**Range Filters**: Most numeric filters use a standardized range format with three properties:\n- `min`: Minimum value (inclusive). Use `null` to omit minimum constraint\n- `max`: Maximum value (inclusive). Use `null` to omit maximum constraint\n- `allow_null`: Whether to include properties with missing data for this field (default: `false`)\n\n**Property Type Filters**: Boolean filters for different property classifications:\n- `is_student`: Student housing complexes (detected via amenities, naming patterns, pricing)\n- `is_senior`: Senior living communities\n- `is_affordable`: Properties with affordable housing units (uses LIHTC database and other sources)\n\n**Unit Mix Filters**: Advanced filtering based on unit composition and pricing:\n- Filter by unit counts, square footage, rent levels, and rent per square foot\n- Available for overall property and by bedroom count (studio through 4-bedroom)\n- Uses historical market data to calculate averages\n\n### Performance & Limitations\n\n**Result Limits**: Each request is capped at **2,500 properties** to ensure optimal performance.\nIf you hit this limit, consider:\n- Narrowing your geographic boundary\n- Adding more restrictive filters (year built, unit count, etc.)\n- Splitting large areas into multiple searches\n\n**Geographic Scope**: Searches are optimized for metropolitan areas. Very large rural areas\nmay return fewer relevant results due to lower property density.\n\n**Data Freshness**: Property data is continuously updated, but some filters (especially unit mix)\nrely on historical market data that may have varying collection periods across markets.\n\n### Usage Recommendations\n\n**For Market Analysis**:\n- Use generous geographic boundaries initially, then refine with property filters\n- Combine year built and unit count filters to focus on comparable property classes\n- Leverage unit mix filters to find properties with similar tenant profiles\n\n**For Competitive Analysis**:\n- Start with broader search area around subject property\n- Use property type filters to exclude non-competing assets\n- Apply unit mix filters to match target demographics\n\n**For Site Selection**:\n- Define custom geographic boundaries around areas of interest\n- Use year built filters to identify redevelopment opportunities or new construction\n- Apply unit mix filters to understand existing supply characteristics\n\nEach request is limited to a maximum of 2,500 results. If you hit this limit, consider refining your filters\nto narrow the search and reduce the result count.","tags":["market"],"responses":{"200":{"description":"List of properties matching the specified search criteria, limited to 2,500 results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Market_MarketSearch_Response_200"}}}}},"requestBody":{"description":"Market filter criteria including the search area (radius or polygons) and property filters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketSearchRequest"}}}},"security":[{"api":[]}]}},"/market/shape_search":{"get":{"operationId":"market_ShapeSearch","summary":"Shape Search","description":"Search for markets by name, city, state, or tags. Returns names as well as a geojson object of the coordinates of the market.","tags":["market"],"parameters":[{"name":"q","in":"query","description":"The search query string. Can include a market name, city, state, or tag.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of markets matching the specified search criteria. The list is limited to 7 results.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MarketSearchResponse"}}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShapeSearchRequestBadRequestError"}}}}},"security":[{"api":[]}]}},"/dataset/export":{"post":{"operationId":"dataset_DatasetExportAsync","summary":"Dataset Export Async","description":"Queue a dataset export with a webhook to receive the result asynchronously.\n\nThis endpoint initiates an asynchronous data export process. The export is processed\nin the background, and once complete, your webhook will be called with the results.\n\n## Request Flow\n1. Submit your export request with dataset query and webhook URL\n2. Receive immediate 201 response confirming the export was queued\n3. Export is processed asynchronously (may take several minutes for large datasets)\n4. Your webhook is called when the export completes\n\n## Webhook Response Format\nOnce the export is complete, your webhook will receive a POST request with this payload:\n\n```typescript\n{\n  queryUUID: string         // Unique identifier for this export request\n  name: string             // The name you provided for this export\n  format: 'csv' | 'jsonl' // The format you requested\n  payload: DatasetPayload  // The original query payload you submitted\n  gcsBlob: {              // Information about the exported file\n    url: string           // Signed download URL (valid for 30 days)\n    expires: string       // ISO date string when URL expires\n    timeTakenMs: number   // Processing time in milliseconds\n    numberRows: number    // Number of rows in the exported data\n  }\n  requestedOn: Date       // When the export was originally requested\n  completedOn: Date       // When the export was completed\n}\n```\n\n## HMAC Signature Verification\nTo verify the authenticity of webhook calls, compute the HMAC signature of the\noriginal request payload using your API key and compare it to the hmacSignature\nfield in the webhook response.\n\n### Node.js Example:\n```javascript\nconst crypto = require('crypto');\n\n// Verify webhook authenticity\nfunction verifyWebhook(originalPayload, receivedSignature, apiKey) {\n  const hmac = crypto.createHmac('sha256', apiKey);\n  hmac.update(JSON.stringify(originalPayload));\n  const computedSignature = hmac.digest('hex');\n  return computedSignature === receivedSignature;\n}\n\n// Usage in your webhook handler\napp.post('/your-webhook', (req, res) => {\n  const { payload } = req.body;\n  const hmacSignature = req.get('SHA256-HMAC-Signature');\n  const isValid = verifyWebhook(payload, hmacSignature, 'your-api-key');\n\n  if (!isValid) {\n    return res.status(401).send('Unauthorized');\n  }\n\n  // Process the webhook...\n  res.status(200).send('OK');\n});\n```\n\n## Error Handling\n- **400 Bad Request**: Invalid webhook URL (must be HTTPS, no localhost/private IPs)\n- **403 Forbidden**: Invalid API key or insufficient permissions\n- If the export fails during processing, your webhook will not be called\n\n## Requirements\n- Valid API key in `x-api-key` header\n- QueryBuilder product subscription OR query must include a report tag filter\n- Webhook URL must be HTTPS and publicly accessible (no localhost/private networks)\n- Your webhook endpoint should respond with 2xx status to confirm receipt\n\n## Important Notes\n- The download URL expires in 30 days - ensure you download the file promptly\n- Large exports may take several minutes to complete\n- The queryUUID can be used to match requests to responses for tracking\n- Files are compressed with gzip for efficient transfer\n\n## Rate Limits\nEach API key can have up to 10 concurrent export requests.\nIf you exceed this limit, you'll receive a 429 Too Many Requests response.\nWait for existing exports to complete before submitting new ones.","tags":["dataset"],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dataset_DatasetExportAsync_Response_201"}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetExportAsyncRequestBadRequestError"}}}},"403":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetExportAsyncRequestForbiddenError"}}}},"422":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetExportAsyncRequestUnprocessableEntityError"}}}},"429":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetExportAsyncRequestTooManyRequestsError"}}}},"500":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetExportAsyncRequestInternalServerError"}}}}},"requestBody":{"description":"- Export configuration including dataset query, webhook URL, name, and format","content":{"application/json":{"schema":{"type":"object","properties":{"format":{"$ref":"#/components/schemas/DatasetExportPostRequestBodyContentApplicationJsonSchemaFormat"},"name":{"type":"string"},"webhookURL":{"type":"string"},"dataset":{"$ref":"#/components/schemas/DatasetPayload"}},"required":["format","name","webhookURL","dataset"]}}}},"security":[{"api":[]}]}}},"tags":[{"name":"propertyReport"},{"name":"property"},{"name":"market"},{"name":"dataset"}],"servers":[{"url":"https://api.hellodata.ai","description":"https://api.hellodata.ai/"}],"components":{"schemas":{"UUID":{"type":"string","format":"uuid","pattern":"[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}","description":"Stringified UUIDv4.\nSee [RFC 4112](https://tools.ietf.org/html/rfc4122)","title":"UUID"},"DateStr":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$","description":"Date string in the format 'YYYY-MM-DD'","title":"DateStr"},"PropertySearchResponse":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/UUID","description":"The primary unique identifier of the property. It is a stringified UUIDv5.\nThis value can occasionally change if multiple properties get merged into one."},"id_alias":{"type":"array","items":{"$ref":"#/components/schemas/UUID"},"description":"A list of alternate unique identifiers (alias IDs) for the property.\nThese IDs are typically derived from historical addresses and remain\nvalid even if the primary address changes over time. While old IDs\nare automatically redirected to the current primary ID, exposing alias\nIDs helps with deduplication and data consistency."},"lat":{"type":"number","format":"double","minimum":18,"maximum":72,"description":"The property's latitude"},"lon":{"type":"number","format":"double","minimum":-180,"maximum":-66,"description":"The property's longitude"},"building_name":{"type":["string","null"],"description":"The property's name."},"building_name_alias":{"type":"array","items":{"type":"string"},"description":"Other known names for the property. When searching for a property\nby name, these aliases will also be matched."},"street_address":{"type":"string","description":"The property's street address part of the full address."},"street_address_alias":{"type":"array","items":{"type":"string"},"description":"Other known street addresses for the property. When searching for a property\nby address, these aliases will also be matched."},"city":{"type":"string","description":"The property's city."},"state":{"type":"string","description":"The property's state. Formatted as a 2-char string."},"zip_code":{"type":"string","description":"The property's zip code. Formatted as a 5-char string with leading 0."},"number_units":{"type":["number","null"],"format":"double","description":"The property's advertised number_units"},"year_built":{"type":["number","null"],"format":"double","description":"The property's year_built. This can be in the future if the property is under construction."},"number_stories":{"type":["number","null"],"format":"double","description":"The property's number of stories."},"created_on":{"$ref":"#/components/schemas/DateStr","description":"The date when this record was last updated."},"user_id":{"type":["string","null"],"description":"When it's a custom property, this field will be populated with the user_id of the user who created the property."}},"required":["id","building_name","building_name_alias","street_address","street_address_alias","city","state","zip_code"],"description":"The PropertySearchResponse object is returned by the search endpoints.\nIt is a very simple property object that can then be used to query the /properties/:id endpoint","title":"PropertySearchResponse"},"SchedulableType":{"type":"string","enum":["datasets","property_reports"],"title":"SchedulableType"},"EmailScheduleAttributes":{"type":"object","properties":{"id":{"type":"number","format":"double","description":"The unique identifier for the email schedule."},"schedulable_id":{"type":"number","format":"double","description":"The unique identifier of the schedulable object."},"schedulable_type":{"$ref":"#/components/schemas/SchedulableType","description":"The object that the `schedulable_id` refers to."},"emails":{"type":"array","items":{"type":"string"},"description":"The list of emails to send the schedulable object to."},"cron_expression":{"type":"string","description":"The cron expression for scheduling the schedulable object."},"last_execution":{"type":["string","null"],"format":"date-time","description":"The last execution date for the email schedule."},"next_execution":{"type":["string","null"],"format":"date-time","description":"The next execution date for the email schedule."},"created_on":{"type":"string","format":"date-time","description":"The date the email schedule was created."},"modified_on":{"type":"string","format":"date-time","description":"The date the email schedule was last modified."},"deleted_on":{"type":["string","null"],"format":"date-time","description":"The date the email schedule was deleted."}},"required":["emails","cron_expression"],"title":"EmailScheduleAttributes"},"FeatureFlag":{"type":"string","enum":["make_organization_visible","make_public","member_external_sharing","admin_external_sharing","show_condo_filter","tag_categorization"],"title":"FeatureFlag"},"BuildingAmenity":{"type":"string","enum":["24_hour_maintenance","accepts_housing_voucher","ada_compliant","additional_storage_space_outside_unit","art_studio","attached_garage","basketball_court","bike_rack","bilingual","boat_dock","bocceball_court","business_center","cabana","carport","cats_allowed","club_house_party_room","barbecue_grill","community_chef_kitchen_space","community_dog_park","community_garden","community_pet_washing_station","community_room","community_wifi","computer_lab","controlled_access","corporate_suite","courtyard","daycare","detached_garage","disposal_chutes","dogs_allowed","doorman","electric_car_charging_station","elevator","fire_pit","fitness_center","concierge","foosball","game_room","gated_community_access","golf_simulator","green_community","guest_parking","guest_suite","historic_building","hot_tub","housekeeping_available","income_restricted","internet_lounge","landscaping","laundry_service","laundry_room","library","lobby","lounge","massage_room","multimedia_center","satisfaction_guaranteed","on_site_car_wash","on_site_maintenance","on_site_management","one_car_garage","online_payment_portal","organic_waste_composting","package_lockers","package_receiving","parking_garage","parking_included","pet_daycare_service","pets_allowed","pickleball_court","picnic_area","playground","pool_table","putting_green","racquetball_court","recycling","reserved_parking","resident_events","resident_referral_program","resident_rewards_program","rock_climbing_wall","rooftop_space","roommate_matching","sauna","secure_resident_parking","secured_covered_bike_storage","security_system","shared_office_space","short_term_lease_options","shuffle_board","non_smoking","snow_removal","soccer_field","spa","sport_court","sunroom","swimming_pool","table_tennis","tanning_beds","tennis_court","terrace","two_car_garage","valet_trash_service","volleyball_court","waterfront","workshop","yoga_studio","zen_garden"],"description":"A normalized building amenity","title":"BuildingAmenity"},"UnitAmenity":{"type":"string","enum":["air_conditioning","all_appliances_included","all_utilities_included","attic","backsplash","basement","bath_tub","bay_window","black_appliances","breakfast_bar","built_in_desk","carpet","ceiling_fan","central_air_conditioning","central_heat","city_view","concrete_floor","courtyard_view","crown_molding","custom_cabinets","deck","den","dining_room","dishwasher","double_sink_vanity","eat_in_kitchen","efficient_appliances","electricity_included","faux_wood_floor","fireplace","floor_to_ceiling_windows","french_doors","fully_upgraded","furnished","garbage_disposal","granite_countertops","hardwood_floor","heat_included","high_ceilings","in_wall_usb_ports","individual_locking_bedrooms","internet_included","kitchen_island","large_bedrooms","large_bathrooms","large_closets","large_windows","linoleum_floor","living_room","loft","marble_countertops","microwave","mountain_view","mud_room","nature_view","open_floor_plan","oven","pantry","patio_or_balcony","porch","private_bathroom","private_entrance","quartz_countertops","ranch_style","range","recently_renovated","refrigerator","sewer_included","skylight","smart_doorbell","smart_lighting","smart_locks","smart_thermostat","stainless_steel_appliances","stove","tile_floor","track_lighting","trash_compactor","trash_service_included","vaulted_ceilings","view","vinyl_floor","walk_in_closet","walk_in_shower","washer_dryer_hookups","washer_dryer_in_unit","water_included","water_view","white_appliances","window_ac_unit","window_covering","yard"],"description":"A normalized unit amenity","title":"UnitAmenity"},"AdditionalFee":{"type":"object","properties":{"label":{"type":"string","description":"A human-readable label describing the fee (e.g., \"Service Charge\", \"Processing Fee\")."},"amount":{"type":"number","format":"double","description":"The monetary value of the fee."},"frequency":{"type":"string","description":"How often the fee is paid (once, month, year)."}},"required":["label","amount","frequency"],"description":"Represents an additional fee that does not fit into a predefined category.","title":"AdditionalFee"},"PropertyEdits":{"type":"object","properties":{"report_id":{"type":"number","format":"double","description":"The report ID. This is the report that the edits are being made to."},"user_id":{"type":"string","description":"The user ID. This is the user who is making the edits."},"property_id":{"$ref":"#/components/schemas/UUID","description":"The property ID. This is the property that the edits are being made to."},"year_built":{"type":["number","null"],"format":"double","minimum":1700,"maximum":2030,"description":"The year the property was built"},"number_stories":{"type":["number","null"],"format":"double","minimum":1,"maximum":120,"description":"The number of stories in the property"},"number_units":{"type":["number","null"],"format":"double","minimum":1,"maximum":20000,"description":"The number of units in the property"},"building_amenities":{"type":["array","null"],"items":{"$ref":"#/components/schemas/BuildingAmenity"},"description":"The building amenities."},"unit_amenities":{"type":["array","null"],"items":{"$ref":"#/components/schemas/UnitAmenity"},"description":"The unit amenities."},"building_name":{"type":["string","null"],"description":"The building name."},"cats_monthly_rent":{"type":["number","null"],"format":"double","description":"Monthly rent charge for having cats."},"cats_one_time_fee":{"type":["number","null"],"format":"double","description":"One-time fee for having cats."},"cats_deposit":{"type":["number","null"],"format":"double","description":"Deposit required for having cats."},"dogs_monthly_rent":{"type":["number","null"],"format":"double","description":"Monthly rent charge for having dogs."},"dogs_one_time_fee":{"type":["number","null"],"format":"double","description":"One-time fee for having dogs."},"dogs_deposit":{"type":["number","null"],"format":"double","description":"Deposit required for having dogs."},"admin_fee":{"type":["number","null"],"format":"double","description":"Administrative fee charged by the property."},"amenity_fee":{"type":["number","null"],"format":"double","description":"Amenity fee charged by the property, if applicable."},"application_fee":{"type":["number","null"],"format":"double","description":"Application fee charged to apply for residency."},"storage_fee":{"type":["number","null"],"format":"double","description":"Fee for using storage facilities on the property."},"parking_covered":{"type":["number","null"],"format":"double","description":"Monthly charge for covered parking, if available."},"parking_garage":{"type":["number","null"],"format":"double","description":"Monthly charge for parking in a garage, if available."},"parking_surface_lot":{"type":["number","null"],"format":"double","description":"Monthly charge for parking in a surface lot, if available."},"street_address":{"type":["string","null"],"description":"The property's street address part of the full address."},"management_company":{"type":["string","null"],"description":"Name of the company managing the property."},"building_website":{"type":["string","null"],"description":"The URL of the property's website."},"street_view_url":{"type":["string","null"],"description":"Property image URL"},"is_student":{"type":["boolean","null"],"description":"Indicates whether we have identified the property as a student housing complex. Detected\nbased on the presence of certain amenities, unit naming conventions, price points, and other factors."},"is_senior":{"type":["boolean","null"],"description":"Indicates if the property is a senior living community."},"is_build_to_rent":{"type":["boolean","null"],"description":"Indicates if the property is a build-to-rent community."},"is_affordable":{"type":["boolean","null"],"description":"Indicates if the property contains affordable units. Uses the public database of LIHTC properties and the floorplan names from the property website + data from other public data sources."},"is_lease_up":{"type":["boolean","null"],"description":"Lease-up mode indicates that the building was recently built, and it is assumed that the developers\nare only showing a small number of their available units because they are still trying to fill their spaces.\n\nThe function checks several conditions to determine if the building is in lease-up mode:\n1. It verifies if the building was built recently (within the last two years).\n2. It checks if the building has more than 10 units.\n3. It counts the number of available units and tracks the earliest availability date.\n4. It ensures that there have been at least 5 leases.\n5. It checks if the earliest move-in date is within the last 18-months.\n6. It calculates the percentage of units still being marketed and ensures it is at least 15%.\n\nIf all these conditions are met, the building is considered to be in lease-up mode."},"is_condo":{"type":["boolean","null"],"description":"Indicates if the property is a condo community."},"fees":{"type":["array","null"],"items":{"$ref":"#/components/schemas/AdditionalFee"},"description":"All of the unstructured fees"}},"required":["report_id","user_id","property_id"],"description":"The property edits model. This is used to let users edit property information\nin an additive way.","title":"PropertyEdits"},"JobTitle":{"type":"string","enum":["Analyst / Data","Developer","Property Operations","Investor / Owner","Marketing","Broker / Lender","Revenue Manager","Other"],"title":"JobTitle"},"AccessUser":{"type":"object","properties":{"read_only":{"type":"boolean","description":"Indicates whether the user has read-only access to this report."},"job_title":{"oneOf":[{"$ref":"#/components/schemas/JobTitle"},{"type":"null"}],"description":"The user's job title. Nullable."},"id":{"type":["string","null"],"description":"Unique identifier for the user if they are an existing application user. Nullable."},"given_name":{"type":["string","null"],"description":"The user's given name (first name). Nullable."},"family_name":{"type":["string","null"],"description":"The user's family name (last name). Nullable."},"picture":{"type":["string","null"],"description":"A URL pointing to the user's profile picture, if available. Nullable."},"email":{"type":"string","description":"The email address of the user. Required for both registered and non-registered users."}},"required":["id","given_name","family_name","picture","email"],"description":"Represents a user who has been granted access to a shared report.\nThis can be an existing application user or a non-registered individual.","title":"AccessUser"},"ViewPreference":{"description":"Any type","title":"ViewPreference"},"Section":{"type":"string","enum":["property_grid","amenities","building_information","chart_compare","comp_map","estimated_unit_mix","exposure_chart","fees","financial_analysis","finishes","five_year_rent_forecast","five_year_occupancy_forecast","forecasting","future_availability","lease_terms","leasing_velocity","market_alerts","price_recommendation","property_rankings_chart","recommendation_highlights","rent_trend","specials_concessions","unit_details","unit_metrics","unit_mix_recommendation","unit_prices_over_time","unit_type_metrics","unit_type_table","volume_over_time","tax_history","poi_map"],"description":"Sections are the individual components found on the property report.\nThis enumerates the sections that are available for a group that\ncan be controlled.","title":"Section"},"SectionColumn":{"type":"string","enum":["property_grid.similarity","property_grid.estimated_occupancy","property_grid.exposure_percent","property_grid.year_built","property_grid.number_units","property_grid.number_stories","property_grid.number_leased","property_grid.currently_available","property_grid.days_on_market","property_grid.min_sqft","property_grid.sqft","property_grid.max_sqft","property_grid.min_market_rent","property_grid.market_rent","property_grid.max_market_rent","property_grid.rent_psf","property_grid.effective_rent","property_grid.effective_rent_psf","property_grid.concession_amount","property_grid.total_concession_amount","property_grid.concession_percent","property_grid.trend","property_grid.label","property_grid.address","property_grid.avg_rent","property_grid.actions","property_grid.number_listings","property_grid.renewal_percent","property_grid.tradeout_percent","property_grid.number_apps_to_cancels","property_grid.cancel_percent","property_grid.leased_date","property_grid.bed","property_grid.floorplan_name","property_grid.tmlp","property_grid.net_tmlp","property_grid.tmlp_fees","amenities.similarity","amenities.estimated_occupancy","amenities.exposure_percent","amenities.year_built","amenities.number_units","amenities.number_stories","amenities.number_leased","amenities.currently_available","amenities.days_on_market","amenities.min_sqft","amenities.sqft","amenities.max_sqft","amenities.min_market_rent","amenities.market_rent","amenities.max_market_rent","amenities.rent_psf","amenities.effective_rent","amenities.effective_rent_psf","amenities.concession_amount","amenities.total_concession_amount","amenities.concession_percent","amenities.trend","amenities.label","amenities.address","amenities.avg_rent","amenities.actions","amenities.number_listings","amenities.renewal_percent","amenities.tradeout_percent","amenities.number_apps_to_cancels","amenities.cancel_percent","amenities.leased_date","amenities.bed","amenities.floorplan_name","amenities.tmlp","amenities.net_tmlp","amenities.tmlp_fees","building_information.similarity","building_information.estimated_occupancy","building_information.exposure_percent","building_information.year_built","building_information.number_units","building_information.number_stories","building_information.number_leased","building_information.currently_available","building_information.days_on_market","building_information.min_sqft","building_information.sqft","building_information.max_sqft","building_information.min_market_rent","building_information.market_rent","building_information.max_market_rent","building_information.rent_psf","building_information.effective_rent","building_information.effective_rent_psf","building_information.concession_amount","building_information.total_concession_amount","building_information.concession_percent","building_information.trend","building_information.label","building_information.address","building_information.avg_rent","building_information.actions","building_information.number_listings","building_information.renewal_percent","building_information.tradeout_percent","building_information.number_apps_to_cancels","building_information.cancel_percent","building_information.leased_date","building_information.bed","building_information.floorplan_name","building_information.tmlp","building_information.net_tmlp","building_information.tmlp_fees","chart_compare.similarity","chart_compare.estimated_occupancy","chart_compare.exposure_percent","chart_compare.year_built","chart_compare.number_units","chart_compare.number_stories","chart_compare.number_leased","chart_compare.currently_available","chart_compare.days_on_market","chart_compare.min_sqft","chart_compare.sqft","chart_compare.max_sqft","chart_compare.min_market_rent","chart_compare.market_rent","chart_compare.max_market_rent","chart_compare.rent_psf","chart_compare.effective_rent","chart_compare.effective_rent_psf","chart_compare.concession_amount","chart_compare.total_concession_amount","chart_compare.concession_percent","chart_compare.trend","chart_compare.label","chart_compare.address","chart_compare.avg_rent","chart_compare.actions","chart_compare.number_listings","chart_compare.renewal_percent","chart_compare.tradeout_percent","chart_compare.number_apps_to_cancels","chart_compare.cancel_percent","chart_compare.leased_date","chart_compare.bed","chart_compare.floorplan_name","chart_compare.tmlp","chart_compare.net_tmlp","chart_compare.tmlp_fees","comp_map.similarity","comp_map.estimated_occupancy","comp_map.exposure_percent","comp_map.year_built","comp_map.number_units","comp_map.number_stories","comp_map.number_leased","comp_map.currently_available","comp_map.days_on_market","comp_map.min_sqft","comp_map.sqft","comp_map.max_sqft","comp_map.min_market_rent","comp_map.market_rent","comp_map.max_market_rent","comp_map.rent_psf","comp_map.effective_rent","comp_map.effective_rent_psf","comp_map.concession_amount","comp_map.total_concession_amount","comp_map.concession_percent","comp_map.trend","comp_map.label","comp_map.address","comp_map.avg_rent","comp_map.actions","comp_map.number_listings","comp_map.renewal_percent","comp_map.tradeout_percent","comp_map.number_apps_to_cancels","comp_map.cancel_percent","comp_map.leased_date","comp_map.bed","comp_map.floorplan_name","comp_map.tmlp","comp_map.net_tmlp","comp_map.tmlp_fees","estimated_unit_mix.similarity","estimated_unit_mix.estimated_occupancy","estimated_unit_mix.exposure_percent","estimated_unit_mix.year_built","estimated_unit_mix.number_units","estimated_unit_mix.number_stories","estimated_unit_mix.number_leased","estimated_unit_mix.currently_available","estimated_unit_mix.days_on_market","estimated_unit_mix.min_sqft","estimated_unit_mix.sqft","estimated_unit_mix.max_sqft","estimated_unit_mix.min_market_rent","estimated_unit_mix.market_rent","estimated_unit_mix.max_market_rent","estimated_unit_mix.rent_psf","estimated_unit_mix.effective_rent","estimated_unit_mix.effective_rent_psf","estimated_unit_mix.concession_amount","estimated_unit_mix.total_concession_amount","estimated_unit_mix.concession_percent","estimated_unit_mix.trend","estimated_unit_mix.label","estimated_unit_mix.address","estimated_unit_mix.avg_rent","estimated_unit_mix.actions","estimated_unit_mix.number_listings","estimated_unit_mix.renewal_percent","estimated_unit_mix.tradeout_percent","estimated_unit_mix.number_apps_to_cancels","estimated_unit_mix.cancel_percent","estimated_unit_mix.leased_date","estimated_unit_mix.bed","estimated_unit_mix.floorplan_name","estimated_unit_mix.tmlp","estimated_unit_mix.net_tmlp","estimated_unit_mix.tmlp_fees","exposure_chart.similarity","exposure_chart.estimated_occupancy","exposure_chart.exposure_percent","exposure_chart.year_built","exposure_chart.number_units","exposure_chart.number_stories","exposure_chart.number_leased","exposure_chart.currently_available","exposure_chart.days_on_market","exposure_chart.min_sqft","exposure_chart.sqft","exposure_chart.max_sqft","exposure_chart.min_market_rent","exposure_chart.market_rent","exposure_chart.max_market_rent","exposure_chart.rent_psf","exposure_chart.effective_rent","exposure_chart.effective_rent_psf","exposure_chart.concession_amount","exposure_chart.total_concession_amount","exposure_chart.concession_percent","exposure_chart.trend","exposure_chart.label","exposure_chart.address","exposure_chart.avg_rent","exposure_chart.actions","exposure_chart.number_listings","exposure_chart.renewal_percent","exposure_chart.tradeout_percent","exposure_chart.number_apps_to_cancels","exposure_chart.cancel_percent","exposure_chart.leased_date","exposure_chart.bed","exposure_chart.floorplan_name","exposure_chart.tmlp","exposure_chart.net_tmlp","exposure_chart.tmlp_fees","fees.similarity","fees.estimated_occupancy","fees.exposure_percent","fees.year_built","fees.number_units","fees.number_stories","fees.number_leased","fees.currently_available","fees.days_on_market","fees.min_sqft","fees.sqft","fees.max_sqft","fees.min_market_rent","fees.market_rent","fees.max_market_rent","fees.rent_psf","fees.effective_rent","fees.effective_rent_psf","fees.concession_amount","fees.total_concession_amount","fees.concession_percent","fees.trend","fees.label","fees.address","fees.avg_rent","fees.actions","fees.number_listings","fees.renewal_percent","fees.tradeout_percent","fees.number_apps_to_cancels","fees.cancel_percent","fees.leased_date","fees.bed","fees.floorplan_name","fees.tmlp","fees.net_tmlp","fees.tmlp_fees","financial_analysis.similarity","financial_analysis.estimated_occupancy","financial_analysis.exposure_percent","financial_analysis.year_built","financial_analysis.number_units","financial_analysis.number_stories","financial_analysis.number_leased","financial_analysis.currently_available","financial_analysis.days_on_market","financial_analysis.min_sqft","financial_analysis.sqft","financial_analysis.max_sqft","financial_analysis.min_market_rent","financial_analysis.market_rent","financial_analysis.max_market_rent","financial_analysis.rent_psf","financial_analysis.effective_rent","financial_analysis.effective_rent_psf","financial_analysis.concession_amount","financial_analysis.total_concession_amount","financial_analysis.concession_percent","financial_analysis.trend","financial_analysis.label","financial_analysis.address","financial_analysis.avg_rent","financial_analysis.actions","financial_analysis.number_listings","financial_analysis.renewal_percent","financial_analysis.tradeout_percent","financial_analysis.number_apps_to_cancels","financial_analysis.cancel_percent","financial_analysis.leased_date","financial_analysis.bed","financial_analysis.floorplan_name","financial_analysis.tmlp","financial_analysis.net_tmlp","financial_analysis.tmlp_fees","finishes.similarity","finishes.estimated_occupancy","finishes.exposure_percent","finishes.year_built","finishes.number_units","finishes.number_stories","finishes.number_leased","finishes.currently_available","finishes.days_on_market","finishes.min_sqft","finishes.sqft","finishes.max_sqft","finishes.min_market_rent","finishes.market_rent","finishes.max_market_rent","finishes.rent_psf","finishes.effective_rent","finishes.effective_rent_psf","finishes.concession_amount","finishes.total_concession_amount","finishes.concession_percent","finishes.trend","finishes.label","finishes.address","finishes.avg_rent","finishes.actions","finishes.number_listings","finishes.renewal_percent","finishes.tradeout_percent","finishes.number_apps_to_cancels","finishes.cancel_percent","finishes.leased_date","finishes.bed","finishes.floorplan_name","finishes.tmlp","finishes.net_tmlp","finishes.tmlp_fees","five_year_rent_forecast.similarity","five_year_rent_forecast.estimated_occupancy","five_year_rent_forecast.exposure_percent","five_year_rent_forecast.year_built","five_year_rent_forecast.number_units","five_year_rent_forecast.number_stories","five_year_rent_forecast.number_leased","five_year_rent_forecast.currently_available","five_year_rent_forecast.days_on_market","five_year_rent_forecast.min_sqft","five_year_rent_forecast.sqft","five_year_rent_forecast.max_sqft","five_year_rent_forecast.min_market_rent","five_year_rent_forecast.market_rent","five_year_rent_forecast.max_market_rent","five_year_rent_forecast.rent_psf","five_year_rent_forecast.effective_rent","five_year_rent_forecast.effective_rent_psf","five_year_rent_forecast.concession_amount","five_year_rent_forecast.total_concession_amount","five_year_rent_forecast.concession_percent","five_year_rent_forecast.trend","five_year_rent_forecast.label","five_year_rent_forecast.address","five_year_rent_forecast.avg_rent","five_year_rent_forecast.actions","five_year_rent_forecast.number_listings","five_year_rent_forecast.renewal_percent","five_year_rent_forecast.tradeout_percent","five_year_rent_forecast.number_apps_to_cancels","five_year_rent_forecast.cancel_percent","five_year_rent_forecast.leased_date","five_year_rent_forecast.bed","five_year_rent_forecast.floorplan_name","five_year_rent_forecast.tmlp","five_year_rent_forecast.net_tmlp","five_year_rent_forecast.tmlp_fees","five_year_occupancy_forecast.similarity","five_year_occupancy_forecast.estimated_occupancy","five_year_occupancy_forecast.exposure_percent","five_year_occupancy_forecast.year_built","five_year_occupancy_forecast.number_units","five_year_occupancy_forecast.number_stories","five_year_occupancy_forecast.number_leased","five_year_occupancy_forecast.currently_available","five_year_occupancy_forecast.days_on_market","five_year_occupancy_forecast.min_sqft","five_year_occupancy_forecast.sqft","five_year_occupancy_forecast.max_sqft","five_year_occupancy_forecast.min_market_rent","five_year_occupancy_forecast.market_rent","five_year_occupancy_forecast.max_market_rent","five_year_occupancy_forecast.rent_psf","five_year_occupancy_forecast.effective_rent","five_year_occupancy_forecast.effective_rent_psf","five_year_occupancy_forecast.concession_amount","five_year_occupancy_forecast.total_concession_amount","five_year_occupancy_forecast.concession_percent","five_year_occupancy_forecast.trend","five_year_occupancy_forecast.label","five_year_occupancy_forecast.address","five_year_occupancy_forecast.avg_rent","five_year_occupancy_forecast.actions","five_year_occupancy_forecast.number_listings","five_year_occupancy_forecast.renewal_percent","five_year_occupancy_forecast.tradeout_percent","five_year_occupancy_forecast.number_apps_to_cancels","five_year_occupancy_forecast.cancel_percent","five_year_occupancy_forecast.leased_date","five_year_occupancy_forecast.bed","five_year_occupancy_forecast.floorplan_name","five_year_occupancy_forecast.tmlp","five_year_occupancy_forecast.net_tmlp","five_year_occupancy_forecast.tmlp_fees","forecasting.similarity","forecasting.estimated_occupancy","forecasting.exposure_percent","forecasting.year_built","forecasting.number_units","forecasting.number_stories","forecasting.number_leased","forecasting.currently_available","forecasting.days_on_market","forecasting.min_sqft","forecasting.sqft","forecasting.max_sqft","forecasting.min_market_rent","forecasting.market_rent","forecasting.max_market_rent","forecasting.rent_psf","forecasting.effective_rent","forecasting.effective_rent_psf","forecasting.concession_amount","forecasting.total_concession_amount","forecasting.concession_percent","forecasting.trend","forecasting.label","forecasting.address","forecasting.avg_rent","forecasting.actions","forecasting.number_listings","forecasting.renewal_percent","forecasting.tradeout_percent","forecasting.number_apps_to_cancels","forecasting.cancel_percent","forecasting.leased_date","forecasting.bed","forecasting.floorplan_name","forecasting.tmlp","forecasting.net_tmlp","forecasting.tmlp_fees","future_availability.similarity","future_availability.estimated_occupancy","future_availability.exposure_percent","future_availability.year_built","future_availability.number_units","future_availability.number_stories","future_availability.number_leased","future_availability.currently_available","future_availability.days_on_market","future_availability.min_sqft","future_availability.sqft","future_availability.max_sqft","future_availability.min_market_rent","future_availability.market_rent","future_availability.max_market_rent","future_availability.rent_psf","future_availability.effective_rent","future_availability.effective_rent_psf","future_availability.concession_amount","future_availability.total_concession_amount","future_availability.concession_percent","future_availability.trend","future_availability.label","future_availability.address","future_availability.avg_rent","future_availability.actions","future_availability.number_listings","future_availability.renewal_percent","future_availability.tradeout_percent","future_availability.number_apps_to_cancels","future_availability.cancel_percent","future_availability.leased_date","future_availability.bed","future_availability.floorplan_name","future_availability.tmlp","future_availability.net_tmlp","future_availability.tmlp_fees","lease_terms.similarity","lease_terms.estimated_occupancy","lease_terms.exposure_percent","lease_terms.year_built","lease_terms.number_units","lease_terms.number_stories","lease_terms.number_leased","lease_terms.currently_available","lease_terms.days_on_market","lease_terms.min_sqft","lease_terms.sqft","lease_terms.max_sqft","lease_terms.min_market_rent","lease_terms.market_rent","lease_terms.max_market_rent","lease_terms.rent_psf","lease_terms.effective_rent","lease_terms.effective_rent_psf","lease_terms.concession_amount","lease_terms.total_concession_amount","lease_terms.concession_percent","lease_terms.trend","lease_terms.label","lease_terms.address","lease_terms.avg_rent","lease_terms.actions","lease_terms.number_listings","lease_terms.renewal_percent","lease_terms.tradeout_percent","lease_terms.number_apps_to_cancels","lease_terms.cancel_percent","lease_terms.leased_date","lease_terms.bed","lease_terms.floorplan_name","lease_terms.tmlp","lease_terms.net_tmlp","lease_terms.tmlp_fees","leasing_velocity.similarity","leasing_velocity.estimated_occupancy","leasing_velocity.exposure_percent","leasing_velocity.year_built","leasing_velocity.number_units","leasing_velocity.number_stories","leasing_velocity.number_leased","leasing_velocity.currently_available","leasing_velocity.days_on_market","leasing_velocity.min_sqft","leasing_velocity.sqft","leasing_velocity.max_sqft","leasing_velocity.min_market_rent","leasing_velocity.market_rent","leasing_velocity.max_market_rent","leasing_velocity.rent_psf","leasing_velocity.effective_rent","leasing_velocity.effective_rent_psf","leasing_velocity.concession_amount","leasing_velocity.total_concession_amount","leasing_velocity.concession_percent","leasing_velocity.trend","leasing_velocity.label","leasing_velocity.address","leasing_velocity.avg_rent","leasing_velocity.actions","leasing_velocity.number_listings","leasing_velocity.renewal_percent","leasing_velocity.tradeout_percent","leasing_velocity.number_apps_to_cancels","leasing_velocity.cancel_percent","leasing_velocity.leased_date","leasing_velocity.bed","leasing_velocity.floorplan_name","leasing_velocity.tmlp","leasing_velocity.net_tmlp","leasing_velocity.tmlp_fees","market_alerts.similarity","market_alerts.estimated_occupancy","market_alerts.exposure_percent","market_alerts.year_built","market_alerts.number_units","market_alerts.number_stories","market_alerts.number_leased","market_alerts.currently_available","market_alerts.days_on_market","market_alerts.min_sqft","market_alerts.sqft","market_alerts.max_sqft","market_alerts.min_market_rent","market_alerts.market_rent","market_alerts.max_market_rent","market_alerts.rent_psf","market_alerts.effective_rent","market_alerts.effective_rent_psf","market_alerts.concession_amount","market_alerts.total_concession_amount","market_alerts.concession_percent","market_alerts.trend","market_alerts.label","market_alerts.address","market_alerts.avg_rent","market_alerts.actions","market_alerts.number_listings","market_alerts.renewal_percent","market_alerts.tradeout_percent","market_alerts.number_apps_to_cancels","market_alerts.cancel_percent","market_alerts.leased_date","market_alerts.bed","market_alerts.floorplan_name","market_alerts.tmlp","market_alerts.net_tmlp","market_alerts.tmlp_fees","price_recommendation.similarity","price_recommendation.estimated_occupancy","price_recommendation.exposure_percent","price_recommendation.year_built","price_recommendation.number_units","price_recommendation.number_stories","price_recommendation.number_leased","price_recommendation.currently_available","price_recommendation.days_on_market","price_recommendation.min_sqft","price_recommendation.sqft","price_recommendation.max_sqft","price_recommendation.min_market_rent","price_recommendation.market_rent","price_recommendation.max_market_rent","price_recommendation.rent_psf","price_recommendation.effective_rent","price_recommendation.effective_rent_psf","price_recommendation.concession_amount","price_recommendation.total_concession_amount","price_recommendation.concession_percent","price_recommendation.trend","price_recommendation.label","price_recommendation.address","price_recommendation.avg_rent","price_recommendation.actions","price_recommendation.number_listings","price_recommendation.renewal_percent","price_recommendation.tradeout_percent","price_recommendation.number_apps_to_cancels","price_recommendation.cancel_percent","price_recommendation.leased_date","price_recommendation.bed","price_recommendation.floorplan_name","price_recommendation.tmlp","price_recommendation.net_tmlp","price_recommendation.tmlp_fees","property_rankings_chart.similarity","property_rankings_chart.estimated_occupancy","property_rankings_chart.exposure_percent","property_rankings_chart.year_built","property_rankings_chart.number_units","property_rankings_chart.number_stories","property_rankings_chart.number_leased","property_rankings_chart.currently_available","property_rankings_chart.days_on_market","property_rankings_chart.min_sqft","property_rankings_chart.sqft","property_rankings_chart.max_sqft","property_rankings_chart.min_market_rent","property_rankings_chart.market_rent","property_rankings_chart.max_market_rent","property_rankings_chart.rent_psf","property_rankings_chart.effective_rent","property_rankings_chart.effective_rent_psf","property_rankings_chart.concession_amount","property_rankings_chart.total_concession_amount","property_rankings_chart.concession_percent","property_rankings_chart.trend","property_rankings_chart.label","property_rankings_chart.address","property_rankings_chart.avg_rent","property_rankings_chart.actions","property_rankings_chart.number_listings","property_rankings_chart.renewal_percent","property_rankings_chart.tradeout_percent","property_rankings_chart.number_apps_to_cancels","property_rankings_chart.cancel_percent","property_rankings_chart.leased_date","property_rankings_chart.bed","property_rankings_chart.floorplan_name","property_rankings_chart.tmlp","property_rankings_chart.net_tmlp","property_rankings_chart.tmlp_fees","recommendation_highlights.similarity","recommendation_highlights.estimated_occupancy","recommendation_highlights.exposure_percent","recommendation_highlights.year_built","recommendation_highlights.number_units","recommendation_highlights.number_stories","recommendation_highlights.number_leased","recommendation_highlights.currently_available","recommendation_highlights.days_on_market","recommendation_highlights.min_sqft","recommendation_highlights.sqft","recommendation_highlights.max_sqft","recommendation_highlights.min_market_rent","recommendation_highlights.market_rent","recommendation_highlights.max_market_rent","recommendation_highlights.rent_psf","recommendation_highlights.effective_rent","recommendation_highlights.effective_rent_psf","recommendation_highlights.concession_amount","recommendation_highlights.total_concession_amount","recommendation_highlights.concession_percent","recommendation_highlights.trend","recommendation_highlights.label","recommendation_highlights.address","recommendation_highlights.avg_rent","recommendation_highlights.actions","recommendation_highlights.number_listings","recommendation_highlights.renewal_percent","recommendation_highlights.tradeout_percent","recommendation_highlights.number_apps_to_cancels","recommendation_highlights.cancel_percent","recommendation_highlights.leased_date","recommendation_highlights.bed","recommendation_highlights.floorplan_name","recommendation_highlights.tmlp","recommendation_highlights.net_tmlp","recommendation_highlights.tmlp_fees","rent_trend.similarity","rent_trend.estimated_occupancy","rent_trend.exposure_percent","rent_trend.year_built","rent_trend.number_units","rent_trend.number_stories","rent_trend.number_leased","rent_trend.currently_available","rent_trend.days_on_market","rent_trend.min_sqft","rent_trend.sqft","rent_trend.max_sqft","rent_trend.min_market_rent","rent_trend.market_rent","rent_trend.max_market_rent","rent_trend.rent_psf","rent_trend.effective_rent","rent_trend.effective_rent_psf","rent_trend.concession_amount","rent_trend.total_concession_amount","rent_trend.concession_percent","rent_trend.trend","rent_trend.label","rent_trend.address","rent_trend.avg_rent","rent_trend.actions","rent_trend.number_listings","rent_trend.renewal_percent","rent_trend.tradeout_percent","rent_trend.number_apps_to_cancels","rent_trend.cancel_percent","rent_trend.leased_date","rent_trend.bed","rent_trend.floorplan_name","rent_trend.tmlp","rent_trend.net_tmlp","rent_trend.tmlp_fees","specials_concessions.similarity","specials_concessions.estimated_occupancy","specials_concessions.exposure_percent","specials_concessions.year_built","specials_concessions.number_units","specials_concessions.number_stories","specials_concessions.number_leased","specials_concessions.currently_available","specials_concessions.days_on_market","specials_concessions.min_sqft","specials_concessions.sqft","specials_concessions.max_sqft","specials_concessions.min_market_rent","specials_concessions.market_rent","specials_concessions.max_market_rent","specials_concessions.rent_psf","specials_concessions.effective_rent","specials_concessions.effective_rent_psf","specials_concessions.concession_amount","specials_concessions.total_concession_amount","specials_concessions.concession_percent","specials_concessions.trend","specials_concessions.label","specials_concessions.address","specials_concessions.avg_rent","specials_concessions.actions","specials_concessions.number_listings","specials_concessions.renewal_percent","specials_concessions.tradeout_percent","specials_concessions.number_apps_to_cancels","specials_concessions.cancel_percent","specials_concessions.leased_date","specials_concessions.bed","specials_concessions.floorplan_name","specials_concessions.tmlp","specials_concessions.net_tmlp","specials_concessions.tmlp_fees","unit_details.similarity","unit_details.estimated_occupancy","unit_details.exposure_percent","unit_details.year_built","unit_details.number_units","unit_details.number_stories","unit_details.number_leased","unit_details.currently_available","unit_details.days_on_market","unit_details.min_sqft","unit_details.sqft","unit_details.max_sqft","unit_details.min_market_rent","unit_details.market_rent","unit_details.max_market_rent","unit_details.rent_psf","unit_details.effective_rent","unit_details.effective_rent_psf","unit_details.concession_amount","unit_details.total_concession_amount","unit_details.concession_percent","unit_details.trend","unit_details.label","unit_details.address","unit_details.avg_rent","unit_details.actions","unit_details.number_listings","unit_details.renewal_percent","unit_details.tradeout_percent","unit_details.number_apps_to_cancels","unit_details.cancel_percent","unit_details.leased_date","unit_details.bed","unit_details.floorplan_name","unit_details.tmlp","unit_details.net_tmlp","unit_details.tmlp_fees","unit_metrics.similarity","unit_metrics.estimated_occupancy","unit_metrics.exposure_percent","unit_metrics.year_built","unit_metrics.number_units","unit_metrics.number_stories","unit_metrics.number_leased","unit_metrics.currently_available","unit_metrics.days_on_market","unit_metrics.min_sqft","unit_metrics.sqft","unit_metrics.max_sqft","unit_metrics.min_market_rent","unit_metrics.market_rent","unit_metrics.max_market_rent","unit_metrics.rent_psf","unit_metrics.effective_rent","unit_metrics.effective_rent_psf","unit_metrics.concession_amount","unit_metrics.total_concession_amount","unit_metrics.concession_percent","unit_metrics.trend","unit_metrics.label","unit_metrics.address","unit_metrics.avg_rent","unit_metrics.actions","unit_metrics.number_listings","unit_metrics.renewal_percent","unit_metrics.tradeout_percent","unit_metrics.number_apps_to_cancels","unit_metrics.cancel_percent","unit_metrics.leased_date","unit_metrics.bed","unit_metrics.floorplan_name","unit_metrics.tmlp","unit_metrics.net_tmlp","unit_metrics.tmlp_fees","unit_mix_recommendation.similarity","unit_mix_recommendation.estimated_occupancy","unit_mix_recommendation.exposure_percent","unit_mix_recommendation.year_built","unit_mix_recommendation.number_units","unit_mix_recommendation.number_stories","unit_mix_recommendation.number_leased","unit_mix_recommendation.currently_available","unit_mix_recommendation.days_on_market","unit_mix_recommendation.min_sqft","unit_mix_recommendation.sqft","unit_mix_recommendation.max_sqft","unit_mix_recommendation.min_market_rent","unit_mix_recommendation.market_rent","unit_mix_recommendation.max_market_rent","unit_mix_recommendation.rent_psf","unit_mix_recommendation.effective_rent","unit_mix_recommendation.effective_rent_psf","unit_mix_recommendation.concession_amount","unit_mix_recommendation.total_concession_amount","unit_mix_recommendation.concession_percent","unit_mix_recommendation.trend","unit_mix_recommendation.label","unit_mix_recommendation.address","unit_mix_recommendation.avg_rent","unit_mix_recommendation.actions","unit_mix_recommendation.number_listings","unit_mix_recommendation.renewal_percent","unit_mix_recommendation.tradeout_percent","unit_mix_recommendation.number_apps_to_cancels","unit_mix_recommendation.cancel_percent","unit_mix_recommendation.leased_date","unit_mix_recommendation.bed","unit_mix_recommendation.floorplan_name","unit_mix_recommendation.tmlp","unit_mix_recommendation.net_tmlp","unit_mix_recommendation.tmlp_fees","unit_prices_over_time.similarity","unit_prices_over_time.estimated_occupancy","unit_prices_over_time.exposure_percent","unit_prices_over_time.year_built","unit_prices_over_time.number_units","unit_prices_over_time.number_stories","unit_prices_over_time.number_leased","unit_prices_over_time.currently_available","unit_prices_over_time.days_on_market","unit_prices_over_time.min_sqft","unit_prices_over_time.sqft","unit_prices_over_time.max_sqft","unit_prices_over_time.min_market_rent","unit_prices_over_time.market_rent","unit_prices_over_time.max_market_rent","unit_prices_over_time.rent_psf","unit_prices_over_time.effective_rent","unit_prices_over_time.effective_rent_psf","unit_prices_over_time.concession_amount","unit_prices_over_time.total_concession_amount","unit_prices_over_time.concession_percent","unit_prices_over_time.trend","unit_prices_over_time.label","unit_prices_over_time.address","unit_prices_over_time.avg_rent","unit_prices_over_time.actions","unit_prices_over_time.number_listings","unit_prices_over_time.renewal_percent","unit_prices_over_time.tradeout_percent","unit_prices_over_time.number_apps_to_cancels","unit_prices_over_time.cancel_percent","unit_prices_over_time.leased_date","unit_prices_over_time.bed","unit_prices_over_time.floorplan_name","unit_prices_over_time.tmlp","unit_prices_over_time.net_tmlp","unit_prices_over_time.tmlp_fees","unit_type_metrics.similarity","unit_type_metrics.estimated_occupancy","unit_type_metrics.exposure_percent","unit_type_metrics.year_built","unit_type_metrics.number_units","unit_type_metrics.number_stories","unit_type_metrics.number_leased","unit_type_metrics.currently_available","unit_type_metrics.days_on_market","unit_type_metrics.min_sqft","unit_type_metrics.sqft","unit_type_metrics.max_sqft","unit_type_metrics.min_market_rent","unit_type_metrics.market_rent","unit_type_metrics.max_market_rent","unit_type_metrics.rent_psf","unit_type_metrics.effective_rent","unit_type_metrics.effective_rent_psf","unit_type_metrics.concession_amount","unit_type_metrics.total_concession_amount","unit_type_metrics.concession_percent","unit_type_metrics.trend","unit_type_metrics.label","unit_type_metrics.address","unit_type_metrics.avg_rent","unit_type_metrics.actions","unit_type_metrics.number_listings","unit_type_metrics.renewal_percent","unit_type_metrics.tradeout_percent","unit_type_metrics.number_apps_to_cancels","unit_type_metrics.cancel_percent","unit_type_metrics.leased_date","unit_type_metrics.bed","unit_type_metrics.floorplan_name","unit_type_metrics.tmlp","unit_type_metrics.net_tmlp","unit_type_metrics.tmlp_fees","unit_type_table.similarity","unit_type_table.estimated_occupancy","unit_type_table.exposure_percent","unit_type_table.year_built","unit_type_table.number_units","unit_type_table.number_stories","unit_type_table.number_leased","unit_type_table.currently_available","unit_type_table.days_on_market","unit_type_table.min_sqft","unit_type_table.sqft","unit_type_table.max_sqft","unit_type_table.min_market_rent","unit_type_table.market_rent","unit_type_table.max_market_rent","unit_type_table.rent_psf","unit_type_table.effective_rent","unit_type_table.effective_rent_psf","unit_type_table.concession_amount","unit_type_table.total_concession_amount","unit_type_table.concession_percent","unit_type_table.trend","unit_type_table.label","unit_type_table.address","unit_type_table.avg_rent","unit_type_table.actions","unit_type_table.number_listings","unit_type_table.renewal_percent","unit_type_table.tradeout_percent","unit_type_table.number_apps_to_cancels","unit_type_table.cancel_percent","unit_type_table.leased_date","unit_type_table.bed","unit_type_table.floorplan_name","unit_type_table.tmlp","unit_type_table.net_tmlp","unit_type_table.tmlp_fees","volume_over_time.similarity","volume_over_time.estimated_occupancy","volume_over_time.exposure_percent","volume_over_time.year_built","volume_over_time.number_units","volume_over_time.number_stories","volume_over_time.number_leased","volume_over_time.currently_available","volume_over_time.days_on_market","volume_over_time.min_sqft","volume_over_time.sqft","volume_over_time.max_sqft","volume_over_time.min_market_rent","volume_over_time.market_rent","volume_over_time.max_market_rent","volume_over_time.rent_psf","volume_over_time.effective_rent","volume_over_time.effective_rent_psf","volume_over_time.concession_amount","volume_over_time.total_concession_amount","volume_over_time.concession_percent","volume_over_time.trend","volume_over_time.label","volume_over_time.address","volume_over_time.avg_rent","volume_over_time.actions","volume_over_time.number_listings","volume_over_time.renewal_percent","volume_over_time.tradeout_percent","volume_over_time.number_apps_to_cancels","volume_over_time.cancel_percent","volume_over_time.leased_date","volume_over_time.bed","volume_over_time.floorplan_name","volume_over_time.tmlp","volume_over_time.net_tmlp","volume_over_time.tmlp_fees","tax_history.similarity","tax_history.estimated_occupancy","tax_history.exposure_percent","tax_history.year_built","tax_history.number_units","tax_history.number_stories","tax_history.number_leased","tax_history.currently_available","tax_history.days_on_market","tax_history.min_sqft","tax_history.sqft","tax_history.max_sqft","tax_history.min_market_rent","tax_history.market_rent","tax_history.max_market_rent","tax_history.rent_psf","tax_history.effective_rent","tax_history.effective_rent_psf","tax_history.concession_amount","tax_history.total_concession_amount","tax_history.concession_percent","tax_history.trend","tax_history.label","tax_history.address","tax_history.avg_rent","tax_history.actions","tax_history.number_listings","tax_history.renewal_percent","tax_history.tradeout_percent","tax_history.number_apps_to_cancels","tax_history.cancel_percent","tax_history.leased_date","tax_history.bed","tax_history.floorplan_name","tax_history.tmlp","tax_history.net_tmlp","tax_history.tmlp_fees","poi_map.similarity","poi_map.estimated_occupancy","poi_map.exposure_percent","poi_map.year_built","poi_map.number_units","poi_map.number_stories","poi_map.number_leased","poi_map.currently_available","poi_map.days_on_market","poi_map.min_sqft","poi_map.sqft","poi_map.max_sqft","poi_map.min_market_rent","poi_map.market_rent","poi_map.max_market_rent","poi_map.rent_psf","poi_map.effective_rent","poi_map.effective_rent_psf","poi_map.concession_amount","poi_map.total_concession_amount","poi_map.concession_percent","poi_map.trend","poi_map.label","poi_map.address","poi_map.avg_rent","poi_map.actions","poi_map.number_listings","poi_map.renewal_percent","poi_map.tradeout_percent","poi_map.number_apps_to_cancels","poi_map.cancel_percent","poi_map.leased_date","poi_map.bed","poi_map.floorplan_name","poi_map.tmlp","poi_map.net_tmlp","poi_map.tmlp_fees"],"description":"SectionColumns are the values that are stored in the Group's `columns` field.\nIt's a list of strings with this pattern used to control the visibility of the\ncolumn on a certain section.","title":"SectionColumn"},"Record_string.string_":{"type":"object","properties":{},"description":"Construct a type with a set of properties K of type T","title":"Record_string.string_"},"OrganizationVisibility":{"type":"string","enum":["editor","viewer"],"title":"OrganizationVisibility"},"PropertyReportSubscriptionAttributes":{"type":"object","properties":{"id":{"type":"number","format":"double","description":"The unique identifier for the report"},"name":{"type":"string","description":"The name of the report"},"subject":{"oneOf":[{"$ref":"#/components/schemas/PropertySearchResponse"},{"type":"null"}],"description":"The subject property of the report"},"comparable_addresses":{"type":"array","items":{"$ref":"#/components/schemas/PropertySearchResponse"},"description":"A list of selected comparable addresses"},"excluded_property_ids":{"type":"array","items":{"type":"string"},"description":"A list of property IDs to exclude from the report. Those have been specifically excluded by the user\nwhen creating the report"},"email_schedule":{"$ref":"#/components/schemas/EmailScheduleAttributes","description":"The email schedule for the report"},"user_id":{"type":"string","description":"The user ID of the user who created the report"},"modified_on":{"type":"string","format":"date-time","description":"The date the report was last modified"},"created_on":{"type":"string","format":"date-time","description":"The date the report was created"},"deleted_on":{"type":["string","null"],"format":"date-time","description":"The date the report was deleted"},"public_id":{"type":["string","null"],"description":"The public ID of the report. Set to null if the report is not public"},"is_organization_visible":{"type":"boolean","description":"(Deprecated) Whether the report is visible to the organization. Use organization_visibility instead."},"tags":{"type":"array","items":{"type":"string"},"description":"Tags applied to the report."},"feature_flags":{"type":"array","items":{"$ref":"#/components/schemas/FeatureFlag"},"description":"A list of feature flags for the report. Will be used to determine which features are enabled for the report for external users"},"property_edits":{"type":"array","items":{"$ref":"#/components/schemas/PropertyEdits"},"description":"A list of property edits made by the user when creating the report."},"access_users":{"type":"array","items":{"$ref":"#/components/schemas/AccessUser"},"description":"A list of all the users with whom this report has been shared with."},"view_preferences":{"type":"array","items":{"$ref":"#/components/schemas/ViewPreference"},"description":"The view selections made by the owners of the report."},"sections":{"type":"array","items":{"$ref":"#/components/schemas/Section"},"description":"The sections of the report that are visible depending on group and organization settings."},"columns":{"type":"array","items":{"$ref":"#/components/schemas/SectionColumn"},"description":"Which columns in each section are visible."},"metadata":{"$ref":"#/components/schemas/Record_string.string_","description":"User defined metadata for the report"},"is_in_portfolio":{"type":["boolean","null"],"description":"User selected value for whether the subject of a report is in their organization's portfolio"},"organization_visibility":{"oneOf":[{"$ref":"#/components/schemas/OrganizationVisibility"},{"type":"null"}],"description":"Whether this report is visible to the whole organization.\nnull: not shared with the organization.\n'editor': everyone in the organization can edit it.\n'viewer': everyone in the organization can view it."},"allow_nonowner_development_edits":{"type":"boolean","description":"Only applies to reports for a new development (custom) property. When true, any user\nwith access to this report is allowed to edit the underlying development property, not\njust the user who created it. Defaults to false for compatibility with existing reports."}},"required":["id","name","subject","comparable_addresses","excluded_property_ids","user_id","modified_on","created_on","deleted_on","is_organization_visible","tags","view_preferences","allow_nonowner_development_edits"],"title":"PropertyReportSubscriptionAttributes"},"ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData0":{"type":"array","items":{"$ref":"#/components/schemas/PropertyReportSubscriptionAttributes"},"title":"ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData0"},"DashboardReportSummarySubject":{"type":"object","properties":{"id":{"type":"string","description":"The primary unique identifier of the property. It is a stringified UUIDv5.\nThis value can occasionally change if multiple properties get merged into one."},"user_id":{"type":["string","null"],"description":"When it's a custom property, this field will be populated with the user_id of the user who created the property."},"street_address":{"type":"string","description":"The property's street address part of the full address."},"city":{"type":"string","description":"The property's city."},"state":{"type":"string","description":"The property's state. Formatted as a 2-char string."},"zip_code":{"type":"string","description":"The property's zip code. Formatted as a 5-char string with leading 0."},"year_built":{"type":["number","null"],"format":"double","description":"The property's year_built. This can be in the future if the property is under construction."},"number_units":{"type":["number","null"],"format":"double","description":"The property's advertised number_units"},"custom_street_view_url":{"type":["string","null"]}},"required":["id","street_address","city","state","zip_code"],"title":"DashboardReportSummarySubject"},"Pick_PropertyEdits.property_id-or-street_address-or-year_built-or-number_units-or-street_view_url_":{"type":"object","properties":{"street_address":{"type":["string","null"],"description":"The property's street address part of the full address."},"year_built":{"type":["number","null"],"format":"double","minimum":1700,"maximum":2030,"description":"The year the property was built"},"number_units":{"type":["number","null"],"format":"double","minimum":1,"maximum":20000,"description":"The number of units in the property"},"property_id":{"type":"string","description":"The property ID. This is the property that the edits are being made to."},"street_view_url":{"type":["string","null"],"description":"Property image URL"}},"required":["property_id"],"description":"From T, pick a set of properties whose keys are in the union K","title":"Pick_PropertyEdits.property_id-or-street_address-or-year_built-or-number_units-or-street_view_url_"},"Pick_EmailScheduleAttributes.emails-or-cron_expression_":{"type":"object","properties":{"emails":{"type":"array","items":{"type":"string"},"description":"The list of emails to send the schedulable object to."},"cron_expression":{"type":"string","description":"The cron expression for scheduling the schedulable object."}},"required":["emails","cron_expression"],"description":"From T, pick a set of properties whose keys are in the union K","title":"Pick_EmailScheduleAttributes.emails-or-cron_expression_"},"DashboardReportSummary":{"type":"object","properties":{"id":{"type":"number","format":"double","description":"The unique identifier for the report"},"name":{"type":"string","description":"The name of the report"},"user_id":{"type":"string","description":"The user ID of the user who created the report"},"created_on":{"type":"string","format":"date-time","description":"The date the report was created"},"modified_on":{"type":"string","format":"date-time","description":"The date the report was last modified"},"public_id":{"type":["string","null"],"description":"The public ID of the report. Set to null if the report is not public"},"organization_visibility":{"oneOf":[{"$ref":"#/components/schemas/OrganizationVisibility"},{"type":"null"}],"description":"Whether this report is visible to the whole organization.\nnull: not shared with the organization.\n'editor': everyone in the organization can edit it.\n'viewer': everyone in the organization can view it."},"is_in_portfolio":{"type":["boolean","null"],"description":"User selected value for whether the subject of a report is in their organization's portfolio"},"tags":{"type":"array","items":{"type":"string"},"description":"Tags applied to the report."},"metadata":{"$ref":"#/components/schemas/Record_string.string_","description":"User defined metadata for the report"},"subject":{"oneOf":[{"$ref":"#/components/schemas/DashboardReportSummarySubject"},{"type":"null"}]},"property_edits":{"type":"array","items":{"$ref":"#/components/schemas/Pick_PropertyEdits.property_id-or-street_address-or-year_built-or-number_units-or-street_view_url_"}},"access_users":{"type":"array","items":{"$ref":"#/components/schemas/AccessUser"}},"email_schedule":{"$ref":"#/components/schemas/Pick_EmailScheduleAttributes.emails-or-cron_expression_"}},"required":["id","name","user_id","created_on","modified_on","tags","subject","property_edits","access_users"],"description":"A summary of a report, as returned by list endpoints. Fetch the full report before updating it.","title":"DashboardReportSummary"},"ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData1":{"type":"array","items":{"$ref":"#/components/schemas/DashboardReportSummary"},"title":"ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData1"},"ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData":{"oneOf":[{"$ref":"#/components/schemas/ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData0"},{"$ref":"#/components/schemas/ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData1"}],"title":"ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData"},"ControllerResponse_PropertyReportSubscriptionAttributes-Array-or-DashboardReportSummary-Array_":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ControllerResponsePropertyReportSubscriptionAttributesArrayOrDashboardReportSummaryArrayData"},"meta":{"description":"Any type"}},"required":["data"],"title":"ControllerResponse_PropertyReportSubscriptionAttributes-Array-or-DashboardReportSummary-Array_"},"Pick_PropertyReportSubscriptionAttributes.id-or-user_id-or-name-or-subject-or-tags_":{"type":"object","properties":{"id":{"type":"number","format":"double","description":"The unique identifier for the report"},"name":{"type":"string","description":"The name of the report"},"user_id":{"type":"string","description":"The user ID of the user who created the report"},"tags":{"type":"array","items":{"type":"string"},"description":"Tags applied to the report."},"subject":{"oneOf":[{"$ref":"#/components/schemas/PropertySearchResponse"},{"type":"null"}],"description":"The subject property of the report"}},"required":["id","name","user_id","tags","subject"],"description":"From T, pick a set of properties whose keys are in the union K","title":"Pick_PropertyReportSubscriptionAttributes.id-or-user_id-or-name-or-subject-or-tags_"},"ControllerResponse_Pick_PropertyReportSubscriptionAttributes.id-or-user_id-or-name-or-subject-or-tags_-Array_":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Pick_PropertyReportSubscriptionAttributes.id-or-user_id-or-name-or-subject-or-tags_"}},"meta":{"description":"Any type"}},"required":["data"],"title":"ControllerResponse_Pick_PropertyReportSubscriptionAttributes.id-or-user_id-or-name-or-subject-or-tags_-Array_"},"ControllerResponseLabelStringCountNumberArrayDataItems":{"type":"object","properties":{"count":{"type":"number","format":"double"},"label":{"type":"string"}},"required":["count","label"],"title":"ControllerResponseLabelStringCountNumberArrayDataItems"},"ControllerResponse__label-string--count-number_-Array_":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ControllerResponseLabelStringCountNumberArrayDataItems"}},"meta":{"description":"Any type"}},"required":["data"],"title":"ControllerResponse__label-string--count-number_-Array_"},"ControllerResponse_number-Array_":{"type":"object","properties":{"data":{"type":"array","items":{"type":"number","format":"double"}},"meta":{"description":"Any type"}},"required":["data"],"title":"ControllerResponse_number-Array_"},"Record_string.string-or-number-or-boolean_":{"type":"object","properties":{},"description":"Construct a type with a set of properties K of type T","title":"Record_string.string-or-number-or-boolean_"},"ControllerResponse_boolean_":{"type":"object","properties":{"data":{"type":"boolean"},"meta":{"description":"Any type"}},"required":["data"],"title":"ControllerResponse_boolean_"},"UpdateMetadataRequestForbiddenError":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"title":"UpdateMetadataRequestForbiddenError"},"SearchRequestBadRequestError":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"title":"SearchRequestBadRequestError"},"UnitAmenityTag":{"type":"string","enum":["ada_unit","affordable.section_8","affordable.lihtc","balcony_patio","balcony_patio.enclosed","balcony_patio.large","balcony_patio.private","balcony_patio.small","balcony_patio.storage","corner_unit","den","dishwasher","double_occupancy","fireplace","floor","floor.penthouse","garage","garage.attached","garage.detached","garage.one_car","garage.two_car","kitchen_island","kitchen_island.large","renovated","renovated.fully","renovated.partially","renovated.recently","smarthome","stainless_steel_appliances","townhome","urban_1br","view","view.city","view.courtyard","view.direction","view.mountains","view.pool","view.water","view.woods","walk_in_closet","walk_in_closet.large","washer_dryer","washer_dryer.full_size","washer_dryer.stackable","washer_dryer_connections"],"title
[...]
